#include<bits/stdc++.h>
using namespace std;
int niz3[1000000], niz4[1000000];
int main ()
{
	int n, i=0, k=0;
	cin>>n;
	int niz1[n],niz2[n];
	while(i<n)
	{
		cin>>niz1[i]>>niz2[i];
		niz3[niz1[i]]++;
		niz4[niz2[i]]++;
		i++;
	}
	i=0;
	while(i<n)
	{
		if(niz3[niz1[i]]>=2)niz3[niz1[i]]--,niz4[niz2[i]]--,k++;
		else if(niz4[niz2[i]]>=2)niz4[niz2[i]]--,niz3[niz1[i]]--,k++;
		i++;
	}
	cout<<k;
	return 0;
}